CREATE TABLE TEMP_MEASURES (CODE CHAR(3) CHARACTER SET WIN1251 NOT NULL COLLATE PXW_CYRL,SHORTNAME VARCHAR(20) CHARACTER SET NONE,NAME VARCHAR(80) CHARACTER SET NONE, D_ON DATE, D_OFF DATE, isUSER SMALLINT);
insert INTO temp_measures (CODE, SHORTNAME, NAME, D_ON, D_OFF, isUSER) SELECT CODE, SHORTNAME, NAME, D_ON, D_OFF, isUSER from measures;
delete from measures;
alter table measures drop constraint pk_measures;
ALTER TABLE MEASURES ADD CONSTRAINT PK_MEASURES PRIMARY KEY (ID);
INSERT INTO measures(ID, CODE, SHORTNAME, NAME, D_ON, D_OFF, ISUSER) SELECT gen_id(gen_measures_id, 1),n.CODE,n.SHORTNAME,n.name,n.d_on,n.d_off,n.isuser from temp_measures n;
drop table temp_measures;
update measures set d_off=current_date;
insert into measures (id, code, shortname, name, d_on, isuser) values (gen_id(gen_measures_id, 1),'166','','',current_date+1,'0');
insert into measures (id, code, shortname, name, d_on, isuser) values (gen_id(gen_measures_id, 1),'006','','',current_date+1,'0');
insert into measures (id, code, shortname, name, d_on, isuser) values (gen_id(gen_measures_id, 1),'055','2',' ',current_date+1,'0');
insert into measures (id, code, shortname, name, d_on, isuser) values (gen_id(gen_measures_id, 1),'111','3',' ',current_date+1,'0');
insert into measures (id, code, shortname, name, d_on, isuser) values (gen_id(gen_measures_id, 1),'112','','',current_date+1,'0');
insert into measures (id, code, shortname, name, d_on, isuser) values (gen_id(gen_measures_id, 1),'113','3',' ',current_date+1,'0');
insert into measures (id, code, shortname, name, d_on, isuser) values (gen_id(gen_measures_id, 1),'114','1000 3','  ',current_date+1,'0');
insert into measures (id, code, shortname, name, d_on, isuser) values (gen_id(gen_measures_id, 1),'130','1000 ',' ',current_date+1,'0');
insert into measures (id, code, shortname, name, d_on, isuser) values (gen_id(gen_measures_id, 1),'162','',' (1=2*0,00001 )',current_date+1,'0');
insert into measures (id, code, shortname, name, d_on, isuser) values (gen_id(gen_measures_id, 1),'163','','',current_date+1,'0');
insert into measures (id, code, shortname, name, d_on, isuser) values (gen_id(gen_measures_id, 1),'185',' ','  ',current_date+1,'0');
insert into measures (id, code, shortname, name, d_on, isuser) values (gen_id(gen_measures_id, 1),'214','','  ( )',current_date+1,'0');
insert into measures (id, code, shortname, name, d_on, isuser) values (gen_id(gen_measures_id, 1),'251','..','  ()',current_date+1,'0');
insert into measures (id, code, shortname, name, d_on, isuser) values (gen_id(gen_measures_id, 1),'246','1000 *','1000 -',current_date+1,'0');
insert into measures (id, code, shortname, name, d_on, isuser) values (gen_id(gen_measures_id, 1),'305','','',current_date+1,'0');
insert into measures (id, code, shortname, name, d_on, isuser) values (gen_id(gen_measures_id, 1),'306',' /','  ',current_date+1,'0');
insert into measures (id, code, shortname, name, d_on, isuser) values (gen_id(gen_measures_id, 1),'715','','',current_date+1,'0');
insert into measures (id, code, shortname, name, d_on, isuser) values (gen_id(gen_measures_id, 1),'796','','',current_date+1,'0');
insert into measures (id, code, shortname, name, d_on, isuser) values (gen_id(gen_measures_id, 1),'797','100 ',' ',current_date+1,'0');
insert into measures (id, code, shortname, name, d_on, isuser) values (gen_id(gen_measures_id, 1),'798','1000 ',' ',current_date+1,'0');
insert into measures (id, code, shortname, name, d_on, isuser) values (gen_id(gen_measures_id, 1),'831','100%','  (100%) ',current_date+1,'0');
insert into measures (id, code, shortname, name, d_on, isuser) values (gen_id(gen_measures_id, 1),'841',' H2O2','  ',current_date+1,'0');
insert into measures (id, code, shortname, name, d_on, isuser) values (gen_id(gen_measures_id, 1),'845',' 90% /',' 90%-  ',current_date+1,'0');
insert into measures (id, code, shortname, name, d_on, isuser) values (gen_id(gen_measures_id, 1),'852',' K2O','  ',current_date+1,'0');
insert into measures (id, code, shortname, name, d_on, isuser) values (gen_id(gen_measures_id, 1),'859',' KOH','  ',current_date+1,'0');
insert into measures (id, code, shortname, name, d_on, isuser) values (gen_id(gen_measures_id, 1),'861',' N',' ',current_date+1,'0');
insert into measures (id, code, shortname, name, d_on, isuser) values (gen_id(gen_measures_id, 1),'863',' NAOH','  ',current_date+1,'0');
insert into measures (id, code, shortname, name, d_on, isuser) values (gen_id(gen_measures_id, 1),'865',' P2O5','  ',current_date+1,'0');
insert into measures (id, code, shortname, name, d_on, isuser) values (gen_id(gen_measures_id, 1),'867',' U',' ',current_date+1,'0');
insert into measures (id, code, shortname, name, d_on, isuser) values (gen_id(gen_measures_id, 1),'168','','',current_date+1,'0');
insert into measures (id, code, shortname, name, d_on, isuser) values (gen_id(gen_measures_id, 1),'118','3','    ',current_date+1,'0');
insert into measures (id, code, shortname, name, d_on, isuser) values (gen_id(gen_measures_id, 1),'117','','  ',current_date+1,'0');
insert into measures (id, code, d_on, isuser) values (0, '000', current_date+1, '0');